Create a New Subscription

Use this endpoint to create a subscription for monitoring updates to companies or DB Person records. Subscriptions allow you to receive change alerts via webhook and access historical alerts via API.

Each subscription is processed asynchronously. A jobId is returned on submission. Upon completion, the job will return a subscriptionId which can be used to fetch alerts or manage the subscription.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
companyIds
array of int32s

Required when subscriptionType is "company", "companyNews", or "companyFamilyTree".

For "companyFamilyTree", only Ultimate Parent Company IDs are allowed.

Provide a list of Company IDs you want to track. You can include up to 1 million IDs.

companyIds
dbPersonIds
array of int32s

Required when subscriptionType is "dbPerson".

Provide a list of Demandbase Person IDs you want to subscribe to.
You can include up to 1 million IDs in a single request.

dbPersonIds
string

A name for your subscription. Helps identify it later.

string

Optional description to explain what this subscription is for.

string
enum

Type of subscription you're creating.

Choose from: "company", "companyNews", "dbPerson", or "companyFamilyTree".

Allowed:
string

The start date for your subscription in YYYY-MM-DD format.

Notifications will begin from: startDate + frequency.
They’ll continue at regular intervals based on the frequency.

string

How often you want to receive updates. Use one of the following formats:

  • Minutes (M), Hours (h), Days (d), Weeks (w), or Months (m)
  • Example: "7d" means every 7 days, "3w" means every 3 weeks

Minimum frequency:

  • "company" and "dbPerson": 1 day
  • "companyNews": 15 minutes
  • "companyFamilyTree": 1 week
fields
array of strings

Fields you want to track for changes. When any of these fields change, you'll get a notification.

If subscriptionType = "company":
Available fields: all (default), name, activeStatus, revenue, address, employeeRange, fax, naics, sic, primaryIndsutry, phone, revenueRange, Ticker, websites, companyStatus, companyType, financialYearEnd, employees, companyId, companyStatusV2, companyTypeV2, businessStructure, siteTypes, siteCount, siteLocationCount

If subscriptionType = "dbPerson":
Available fields: all (default), active, name, facebookHandle, linkedInHandle, twitterHandle, education, titles, phone, email, salary, description, imageUrl, age, newEmployment, executiveMobileNo

fields
newsCategories
array of strings

Categories of news you want to be notified about (only relevant for "companyNews").

Options include: LEADERSHIP_CHANGES, NEW_OFFERINGS, PARTNERSHIPS, COMPANY_PRESENTATION, LITIGATION, COMPLIANCE, RESEARCH_DEVELOPMENT, DATA_SECURITY, FUNDING_DEVELOPMENTS, BANKRUPTCY_RESTRUCTURING, REALESTATE_DEALS, REALESTATE_CONSTRUCTION, CORPORATE_CHALLENGES, ACQUISITIONS, EXPANDING_OPERATIONS, COST_CUTTING, OUTPERFORMING, UNDERPERFORMING.

newsCategories
string

The endpoint URL where notifications should be delivered.

Example: https://yourdomain.com/webhook

string
length ≤ 500

A shared secret used to sign webhook payloads using HmacSHA1.

This signature will appear in the X-DemandbaseAPI-AlertDataSignature header.
Max length: 500 characters.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/xml